Bug 42810 - FILESAVE: Pictures resized/moved each time document saved in MS XML/MS binary formats
Summary: FILESAVE: Pictures resized/moved each time document saved in MS XML/MS binary...
Status: RESOLVED INVALID
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
3.4.3 release
Hardware: All Linux (All)
: high major
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks:
 
Reported: 2011-11-11 03:16 UTC by smiff
Modified: 2013-07-08 21:22 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description smiff 2011-11-11 03:16:46 UTC
Problem description: 
I have received a .docx file originally created in Microsoft Office. I have been working on it and saving as .doc (didn't realise LO can now save .docx, not sure if this has the same bug). 
Each page contains a small image at the top. I noticed this was now very small! Found by testing that the size of this image (on every page) reduces every time the document is saved and reopened. This does not happen when saving as .odt
I now have to compare with original document and manually resize every image and fix the layout of all pages (unless anyone knows a quick way to resize lots of images at once please?)

This is LO 3.4.3 (manually installed from .debs) on Ubuntu 10.10

Can't really attach the document because is private but could possibly provide an edited version if needed?
Comment 1 smiff 2011-11-11 08:46:06 UTC
interesting, i just did a test on another machine also running LO 3.4.3 but this time installed from the PPA (this desktop is Ubuntu 11.04) 
this time image grows by .05cm per save I think!


1) create a new document, paste a jpg into it
2) save as docx.
3) open and edit slightly (e.g. add some text under the image, nothing that should affect the image), right click on image, note the image size (in cm).
4) save as Word .doc
5) open and check the image size
6) edit the text again slightly and save
7) open again and check image size again
(repeat 6-7 as often as you like, it'll either grow or shrink each time it's saved!)



So there seems to be a clear and easily reproducible bug in saving image object sizes to .doc

Thanks if you need more info please ask.
Comment 2 smiff 2011-11-16 03:50:22 UTC
similar problems in Calc saving to xlsx - images are moving and changing size.

this is major, just affect all components?

going to try 3.4.4, then 3.3.x, then gnumeric.. then i guess MS Office in Wine or something :/
Comment 3 smiff 2011-11-16 04:36:43 UTC
Confirmed bug still in LO v 3.4.4
Going to mark this confirmed (New is correct?) as it's now been replicated on numerous versions, PCs, files, formats (MS XML and binary), components (Writer and Calc) including on documents from scratch.
Thanks and would appreciate any updates.
Comment 4 smiff 2011-11-16 08:43:20 UTC
updating title and details
Comment 5 smiff 2011-11-16 08:47:18 UTC
not yet confirmed:

LO 3.3.x (i suspect this is a regression in 3.4.x)

Platforms other than linux (x86 and AMD64) not tested.
Comment 6 smiff 2011-11-16 12:29:46 UTC
found possible reference to this bug here
http://user.services.openoffice.org/en/forum/viewtopic.php?f=7&t=44311

suggestion there was to install an ODF plugin for MS Office but can't do this because i need to share documents with people with standard MS Office installs (like i expect most users need to) and also this plugin may no longer be free, so asking others to install it is a definite no-no.
Comment 7 smiff 2011-11-17 04:16:52 UTC
(no way to edit comments?)

Can't replicate this on an old laptop running OpenOffice 3.2.0 
(Ubuntu 9.04 32bit Gnome)

therefore appears to be a regression.
between 3.2.0 and 3.4.3
Comment 8 smiff 2011-11-17 05:55:32 UTC
3.2.2 (from Ubuntu Maverick repo) seems ok.
Comment 9 smiff 2011-11-30 12:36:52 UTC
sorry to do this but i'm going to up the importance a notch, it's an MS office compatibility breaker and this makes it severe for probably the majority of users?

not sure if i've categorised this wrong and that's caused it to be overlooked, anyone please edit as needed. 

unfortunately i can't test under windows as I don't use windows any more, that would be good for someone to do, so leaving platform on Linux (all) although it's very possible others are affected.
Comment 10 Roman Eisele 2012-05-05 09:44:24 UTC
The 'Version' field should contain the FIRST version in which the bug appeared, NOT the last one etc., therefore changed 'Version' back to 3.4.3 according to original description and comment #7.

NB for me and other: this is NOT only a Writer issue, see comment #2: Calc is affected, too (easy to miss that hint if you read fast ;-).
Comment 11 Roman Eisele 2012-05-05 09:54:41 UTC
@smiff:
It's a pity that you did not get any answer for a long time now, but there are not enough QA helpers to answer every report. What would help a lot is if you could provide a sample file which clearly shows the problem. (The missing of a sample file may even explain why nobody has answered your report yet: it's not easy to reproduce this issue just out of the blue, I have tried for an hour now!). Of course, you write:

> Can't really attach the document because is private but could possibly provide
> an edited version if needed?

Yes, such an edited version which still shows the problem clearly for you would help a lot!

Therefore, please do two things:

1) Please try again with the current LibreOffice release (3.5.3 or better) if the problem is still reproducible for you. There is a good chance that the problem has been fixed in between because quite some .doc and especially .docx issues have been adressed in the development process.

2) If this doesn't help, please try to provide an edited sample file. I know this may be a lot of work for you, but if you could provide such a file which clearly exhibits the problem I will try to reproduce it on MacOS X and Windows soon. Maybe we can finally bring this issue some steps forward to a solution ...

Thank you very much for your patience and help!
Comment 12 Roman Eisele 2012-05-05 12:08:41 UTC
@smiff:
I forgot to mention: If it is too difficult for you to provide an edited version of the .docx/.doc file you mention in the original description, it may also be useful if you could provide a .xlsx sample file like the one you mention in comment #2 -- if this is easier for you to do. Best regards!
Comment 13 Roman Eisele 2012-08-16 16:35:45 UTC
After comment #11 (and comment #12), the status of this bug should be NEEDINFO.
Comment 14 Joel Madero 2013-05-28 15:37:58 UTC
Dear Bug Submitter,

This bug has been in NEEDINFO status with no change for at least 6 months. Please provide the requested information as soon as possible and mark the bug as UNCONFIRMED. Due to regular bug tracker maintenance, if the bug is still in NEEDINFO status with no change in 30 days the QA team will close the bug as INVALID due to lack of needed information.

For more information about our NEEDINFO policy please read the wiki located here: 
https://wiki.documentfoundation.org/QA/FDO/NEEDINFO

If you have already provided the requested information, please mark the bug as UNCONFIRMED so that the QA team knows that the bug is ready to be confirmed.


Thank you for helping us make LibreOffice even better for everyone!


Warm Regards,
QA Team
Comment 15 QA Administrators 2013-07-08 21:22:59 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INVALID due to inactivity and a lack of information which is needed in order to accurately reproduce and confirm the problem. We encourage you to retest your bug against the latest release. If the issue is still present in the latest stable release, we need the following information (please ignore any that you've already provided):

a) Provide details of your system including your operating system and the latest version of LibreOffice that you have confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED and we will attempt to reproduce the issue. 
Please do not:
a) respond via email 
b) update the version field in the bug or any of the other details on the top section of FDO